<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>LibGE: Initialiser Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="cropped-BDS-Logo-1.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">LibGE
   &#160;<span id="projectnumber">0.31.0</span>
   </div>
   <div id="projectbrief">A c++ GE implementation</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="class_initialiser-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Initialiser Class Reference<span class="mlabels"><span class="mlabel">abstract</span></span></div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_initialiser_8h_source.html">Initialiser.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Initialiser:</div>
<div class="dyncontent">
<div class="center"><img src="class_initialiser__inherit__graph.png" border="0" usemap="#_initialiser_inherit__map" alt="Inheritance graph"/></div>
<!-- MAP 0 -->
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a8dd8ae6d9ddf778ae957cdc8ce49ed31"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_initialiser.html#a8dd8ae6d9ddf778ae957cdc8ce49ed31">Initialiser</a> (const unsigned int=1)</td></tr>
<tr class="separator:a8dd8ae6d9ddf778ae957cdc8ce49ed31"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7c2540a04e5d824a113c3429b98641df"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_initialiser.html#a7c2540a04e5d824a113c3429b98641df">Initialiser</a> (const <a class="el" href="class_initialiser.html">Initialiser</a> &amp;)</td></tr>
<tr class="separator:a7c2540a04e5d824a113c3429b98641df"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5c53305a16d685ee2d0c6e2504a5b060"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_initialiser.html#a5c53305a16d685ee2d0c6e2504a5b060">~Initialiser</a> ()</td></tr>
<tr class="separator:a5c53305a16d685ee2d0c6e2504a5b060"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3d95b26ca6528843640551ee8be75924"><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_initialiser.html#a3d95b26ca6528843640551ee8be75924">getPopSize</a> () const</td></tr>
<tr class="separator:a3d95b26ca6528843640551ee8be75924"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa9c8d119346e4305b09260eff7182884"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_initialiser.html#aa9c8d119346e4305b09260eff7182884">setPopSize</a> (const unsigned int)</td></tr>
<tr class="separator:aa9c8d119346e4305b09260eff7182884"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afe68acda2f20fb5e1205689acd7a5bf5"><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_initialiser.html#afe68acda2f20fb5e1205689acd7a5bf5">getIndex</a> () const</td></tr>
<tr class="separator:afe68acda2f20fb5e1205689acd7a5bf5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abcd17be7bcc095649c8ecf5785c58dd5"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_initialiser.html#abcd17be7bcc095649c8ecf5785c58dd5">setIndex</a> (const unsigned int)</td></tr>
<tr class="separator:abcd17be7bcc095649c8ecf5785c58dd5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a225c6fe7e8fc696f89384f4214bb7d16"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_initialiser.html#a225c6fe7e8fc696f89384f4214bb7d16">init</a> (const unsigned int)=0</td></tr>
<tr class="separator:a225c6fe7e8fc696f89384f4214bb7d16"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a8dd8ae6d9ddf778ae957cdc8ce49ed31"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8dd8ae6d9ddf778ae957cdc8ce49ed31">&#9670;&nbsp;</a></span>Initialiser() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Initialiser::Initialiser </td>
          <td>(</td>
          <td class="paramtype">const unsigned int&#160;</td>
          <td class="paramname"><em>newPopSize</em> = <code>1</code></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a7c2540a04e5d824a113c3429b98641df"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7c2540a04e5d824a113c3429b98641df">&#9670;&nbsp;</a></span>Initialiser() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Initialiser::Initialiser </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="class_initialiser.html">Initialiser</a> &amp;&#160;</td>
          <td class="paramname"><em>copy</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a5c53305a16d685ee2d0c6e2504a5b060"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5c53305a16d685ee2d0c6e2504a5b060">&#9670;&nbsp;</a></span>~Initialiser()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Initialiser::~Initialiser </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="afe68acda2f20fb5e1205689acd7a5bf5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afe68acda2f20fb5e1205689acd7a5bf5">&#9670;&nbsp;</a></span>getIndex()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int Initialiser::getIndex </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a3d95b26ca6528843640551ee8be75924"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3d95b26ca6528843640551ee8be75924">&#9670;&nbsp;</a></span>getPopSize()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int Initialiser::getPopSize </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a225c6fe7e8fc696f89384f4214bb7d16"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a225c6fe7e8fc696f89384f4214bb7d16">&#9670;&nbsp;</a></span>init()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool Initialiser::init </td>
          <td>(</td>
          <td class="paramtype">const unsigned int&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Implemented in <a class="el" href="class_g_e_grammar_s_i.html#aee49b2210200330f9f8dd7cf595b8c90">GEGrammarSI</a>.</p>

</div>
</div>
<a id="abcd17be7bcc095649c8ecf5785c58dd5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abcd17be7bcc095649c8ecf5785c58dd5">&#9670;&nbsp;</a></span>setIndex()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Initialiser::setIndex </td>
          <td>(</td>
          <td class="paramtype">const unsigned int&#160;</td>
          <td class="paramname"><em>newPopIndex</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aa9c8d119346e4305b09260eff7182884"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa9c8d119346e4305b09260eff7182884">&#9670;&nbsp;</a></span>setPopSize()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Initialiser::setPopSize </td>
          <td>(</td>
          <td class="paramtype">const unsigned int&#160;</td>
          <td class="paramname"><em>newPopSize</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>src/<a class="el" href="_initialiser_8h_source.html">Initialiser.h</a></li>
<li>src/<a class="el" href="_initialiser_8cpp.html">Initialiser.cpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
